version: "3"

services:
  engine:
    build:
      context: ./engine
      dockerfile: Dockerfile
    volumes:
      - ./engine:/usr/src/app
      - /usr/src/app/node_modules
    ports:
      - 3030:3030
    depends_on:
      - queue

  crawler:
    build:
      context: ./crawler
      dockerfile: Dockerfile
    volumes:
      - ./crawler:/usr/src/app
      - /usr/src/app/node_modules
    depends_on:
      - queue

  queue:
    container_name: queue
    image: rabbitmq:3-management


# docker run -it --rm --hostname my-rabbit --name some-rabbit -p 8080:15672 -p 5672:5672 rabbitmq:3-management